Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## es.inteco.xbrl.lenlocpenloc.errors.catalog.types
Enum ENLOCErrorTypeType

    java.lang.Object
      java.lang.Enum<ENLOCErrorTypeType>
          es.inteco.xbrl.lenlocpenloc.errors.catalog.types.ENLOCErrorTypeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ENLOCErrorTypeType>

    public enum ENLOCErrorTypeType

extends java.lang.Enum<ENLOCErrorTypeType>
implements java.io.Serializable

Enumeration ENLOCErrorTypeType. Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Enum Constant Summary
`XAPINTECO` Constant XAPINTECO
`XBREEZE` Constant XBREEZE
`XERCES` Constant XERCES

Method Summary
`static ENLOCErrorTypeType` | `fromValue(java.lang.String value)` Method fromValue.
`void` | `setValue(java.lang.String value)`
`java.lang.String` | `toString()` Method toString.
`java.lang.String` | `value()` Method value.
`static ENLOCErrorTypeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ENLOCErrorTypeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### XBREEZE

    public static final ENLOCErrorTypeType XBREEZE

  Constant XBREEZE

### XERCES

    public static final ENLOCErrorTypeType XERCES

  Constant XERCES

### XAPINTECO

    public static final ENLOCErrorTypeType XAPINTECO

  Constant XAPINTECO

Method Detail

### values

    public static ENLOCErrorTypeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ENLOCErrorTypeType c : ENLOCErrorTypeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ENLOCErrorTypeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### fromValue

    public static ENLOCErrorTypeType fromValue(java.lang.String value)

  Method fromValue.

  Parameters:
    `value` -
  Returns:
    the constant for this value

### setValue

    public void setValue(java.lang.String value)

  Parameters:
    `value` -

### toString

    public java.lang.String toString()

  Method toString.

  Overrides:
    `toString` in class `java.lang.Enum<ENLOCErrorTypeType>`
  Returns:
    the value of this constant

### value

    public java.lang.String value()

  Method value.

  Returns:
    the value of this constant

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD